DockLayout (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.dock
Class DockLayout

    java.lang.Object
      com.bbn.openmap.gui.dock.DockLayout

All Implemented Interfaces:
  java.awt.LayoutManager, java.awt.LayoutManager2

    public class DockLayout

extends java.lang.Object
implements java.awt.LayoutManager2

A Layout manager used for the docking component...

Since:
  12/5/02
Version:
  $Revision: 1.5 $ on $Date: 2005/08/09 17:50:51 $
Author:
  Ben Lubin

Field Summary
`protected java.awt.Rectangle` | `backgroundBounds` Size of the background control
`protected java.awt.Rectangle` | `occludingBounds` Size of the background control

Constructor Summary
`DockLayout(BasicDockPanel p)`

Method Summary
`void` | `addLayoutComponent(java.awt.Component comp, java.lang.Object constraints)`
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
`protected int` | `getHeightAtLeft(DockWrapper dw)` Get the height at the left point for a north or south DockWrapper.
`protected int` | `getHeightAtLeftCardinal(DockWrapper dw)` Account for the extra size of the cardinal DockWrapper.
`protected int` | `getHeightAtRight(DockWrapper dw)` Get the height at the right point for a north or south DockWrapper.
`protected int` | `getHeightAtRightCardinal(DockWrapper dw)` Account for the extra size of the cardinal DockWrapper.
`float` | `getLayoutAlignmentX(java.awt.Container target)`
`float` | `getLayoutAlignmentY(java.awt.Container target)`
`protected int` | `getWidthAtY(DockWrapper dw, int y)` Get the width at the given point for a east or west DockWrapper.
`protected int` | `getWidthAtYCardinal(DockWrapper dw, int y)` Account for the extra size of the cardinal DockWrapper.
`void` | `invalidateLayout(java.awt.Container target)`
`protected void` | `layoutBackground()`
`protected void` | `layoutCardinals()`
`protected void` | `layoutContainer()` Layout the entire container.
`void` | `layoutContainer(java.awt.Container parent)`
`protected void` | `layoutEast(DockWrapper base, int x, int y, int maxwidth, int maxheight)` Layout west side.
`protected void` | `layoutNorth(DockWrapper base, int x, int y, int maxwidth, int maxheight)` Layout north side.
`protected void` | `layoutSouth(DockWrapper base, int x, int y, int maxwidth, int maxheight)` Layout north side.
`protected void` | `layoutWest(DockWrapper base, int x, int y, int maxwidth, int maxheight)` Layout west side.
`protected int` | `max(int a, int b)`
`java.awt.Dimension` | `maximumLayoutSize(java.awt.Container parent)`
`protected int` | `min(int a, int b)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)`
`void` | `removeLayoutComponent(java.awt.Component comp)`
`protected void` | `updateBottom(java.awt.Rectangle r, int bottom)`
`protected void` | `updateLeft(java.awt.Rectangle r, int left)`
`protected void` | `updateRight(java.awt.Rectangle r, int right)`
`protected void` | `updateTop(java.awt.Rectangle r, int top)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### occludingBounds

    protected java.awt.Rectangle occludingBounds

  Size of the background control

### backgroundBounds

    protected java.awt.Rectangle backgroundBounds

  Size of the background control

Constructor Detail

### DockLayout

    public DockLayout(BasicDockPanel p)

Method Detail

### getHeightAtLeftCardinal

    protected int getHeightAtLeftCardinal(DockWrapper dw)

  Account for the extra size of the cardinal DockWrapper.

### getHeightAtRightCardinal

    protected int getHeightAtRightCardinal(DockWrapper dw)

  Account for the extra size of the cardinal DockWrapper.

### getWidthAtYCardinal

    protected int getWidthAtYCardinal(DockWrapper dw,
                                      int y)

  Account for the extra size of the cardinal DockWrapper.

### getHeightAtLeft

    protected int getHeightAtLeft(DockWrapper dw)

  Get the height at the left point for a north or south DockWrapper.

### getHeightAtRight

    protected int getHeightAtRight(DockWrapper dw)

  Get the height at the right point for a north or south DockWrapper.

### getWidthAtY

    protected int getWidthAtY(DockWrapper dw,
                              int y)

  Get the width at the given point for a east or west DockWrapper.

### layoutContainer

    protected void layoutContainer()

  Layout the entire container.

### layoutCardinals

    protected void layoutCardinals()

### layoutEast

    protected void layoutEast(DockWrapper base,
                              int x,
                              int y,
                              int maxwidth,
                              int maxheight)

  Layout west side.

  Parameters:
    `x` - right most edge.
    `y` - top most edge.

### layoutWest

    protected void layoutWest(DockWrapper base,
                              int x,
                              int y,
                              int maxwidth,
                              int maxheight)

  Layout west side.

  Parameters:
    `x` - left most edge.
    `y` - top most edge.

### layoutNorth

    protected void layoutNorth(DockWrapper base,
                               int x,
                               int y,
                               int maxwidth,
                               int maxheight)

  Layout north side.

  Parameters:
    `x` - left most edge.
    `y` - top most edge.

### layoutSouth

    protected void layoutSouth(DockWrapper base,
                               int x,
                               int y,
                               int maxwidth,
                               int maxheight)

  Layout north side.

  Parameters:
    `x` - left most edge.
    `y` - bottom most edge.

### layoutBackground

    protected void layoutBackground()

### min

    protected int min(int a,
                      int b)

### max

    protected int max(int a,
                      int b)

### updateLeft

    protected void updateLeft(java.awt.Rectangle r,
                              int left)

### updateRight

    protected void updateRight(java.awt.Rectangle r,
                               int right)

### updateTop

    protected void updateTop(java.awt.Rectangle r,
                             int top)

### updateBottom

    protected void updateBottom(java.awt.Rectangle r,
                                int bottom)

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(java.awt.Component comp,
                                   java.lang.Object constraints)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager2`

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`

### maximumLayoutSize

    public java.awt.Dimension maximumLayoutSize(java.awt.Container parent)

  Specified by:
    `maximumLayoutSize` in interface `java.awt.LayoutManager2`

### getLayoutAlignmentX

    public float getLayoutAlignmentX(java.awt.Container target)

  Specified by:
    `getLayoutAlignmentX` in interface `java.awt.LayoutManager2`

### getLayoutAlignmentY

    public float getLayoutAlignmentY(java.awt.Container target)

  Specified by:
    `getLayoutAlignmentY` in interface `java.awt.LayoutManager2`

### invalidateLayout

    public void invalidateLayout(java.awt.Container target)

  Specified by:
    `invalidateLayout` in interface `java.awt.LayoutManager2`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details